Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class DealerManager

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.DealerManager

    public class DealerManager
    extends java.lang.Object

Менеджер дилеров.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DealerManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteDealer​(int id)` |
  `Dealer` | `getDealer​(int id)` |
  `java.util.List<Dealer>` | `getDealerList()` | Список дилеров отсортированный по заголовкам.
  `java.util.List<Dealer>` | `getDealerList​(java.lang.String title, java.util.Date start, java.util.Date end)` |
  `void` | `updateDealer​(Dealer dealer)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DealerManager

    public DealerManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getDealerList

    public java.util.List<Dealer> getDealerList() throws ru.bitel.bgbilling.common.BGException
    Список дилеров отсортированный по заголовкам.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDealerList

    public java.util.List<Dealer> getDealerList​(java.lang.String title, java.util.Date start, java.util.Date end) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteDealer

    public void deleteDealer​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDealer

    public Dealer getDealer​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateDealer

    public void updateDealer​(Dealer dealer) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`